Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.repository.artifact
Interface IProcessingStepDescriptor

All Known Implementing Classes:
  ProcessingStepDescriptor

    public interface IProcessingStepDescriptor

Describes a processing step. Processing steps are pieces of code that participate in the the transfer of an artifact between artifact repositories. A step may alter the shape of the artifact from its storage format in the repository (such as performing compression), or it may perform additional checks on the transferred bytes such as checksums or signature verification.

Since:
  2.0
See Also:
  `IArtifactDescriptor.getProcessingSteps()`
Restriction:
  This interface is not intended to be implemented by clients. Instead subclass the `ProcessingStepDescriptor`.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`String` `getData()` An argument that is passed to the processing step instance.
`String` `getProcessorId()` Returns the fully qualified id of the processing step extension.
`boolean` `isRequired()` Returns whether the successful execution of this processing step is required for the transfer to be successful.

Method Detail

### getProcessorId

    String getProcessorId()

  Returns the fully qualified id of the processing step extension.

  Returns:
    The fully qualified processing step extension id

### getData

    String getData()

  An argument that is passed to the processing step instance. The structure and content of the data is specific to the particular processing step being used.

  Returns:
    the processing step data

### isRequired

    boolean isRequired()

  Returns whether the successful execution of this processing step is required for the transfer to be successful. If the processing step extension is not installed, or fails to execute, then the artifact transfer will fail if the step is required. Failure of optional steps will result in warnings but not prevent the transfer from succeeding.

  Returns:
    `true` if the transfer will fail if this step does not succeed, and `false` otherwise

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.